Bug 6090 - empty mails in message_queue are sent
Summary: empty mails in message_queue are sent
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Notices (show other bugs)
Version: 3.8
Hardware: All All
: P3 minor (vote)
Assignee: Julian Maurice
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-06 13:41 UTC by Julian Maurice
Modified: 2013-12-05 20:01 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Patch (3.08 KB, patch)
2011-04-06 13:54 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 6090: Do not enqueue empty messages (1.12 KB, patch)
2012-03-08 13:20 UTC, Julian Maurice
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 6090: Do not enqueue empty messages (1.19 KB, patch)
2012-06-09 10:10 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 6090: Do not enqueue empty messages (1.29 KB, patch)
2012-06-11 08:32 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 6090: Do not enqueue empty messages (1.10 KB, patch)
2012-06-20 11:42 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 6090: Do not enqueue empty messages (1.11 KB, patch)
2012-06-20 11:46 UTC, Julian Maurice
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 6090: Do not enqueue empty messages (1.20 KB, patch)
2012-06-20 12:51 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Julian Maurice 2011-04-06 13:41:52 UTC

    
Comment 1 Julian Maurice 2011-04-06 13:54:15 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2011-06-01 05:07:36 UTC
I wonder if we should have messages with empty message body and subject there in the first place? How does this happen?
Comment 3 Colin Campbell 2011-11-04 12:49:27 UTC
Were getting empty messages being reported as well at multiple sites. The bug is surely that these are being added to the queue
Comment 4 laurenthdl 2011-12-23 14:28:41 UTC
Collin, we couldnot find how those empty messages got added to the message queue.
Therefore, we did that workaround.
If you find where the bug that creates those ghost message is, then, that will not be really usefull any longer. But will not harm much the system though.
Comment 5 Julian Maurice 2012-03-08 11:16:03 UTC
The patch doesn't fix the problem, so setting status to assigned until someone send a patch that avoid empty mail to be added to message_queue (if bug still exists)
Comment 6 Julian Maurice 2012-03-08 13:20:45 UTC Comment hidden (obsolete)
Comment 7 Leila 2012-03-21 10:50:17 UTC
Hello,
Need to config the sending of mails, so not as easy as I believed. We don't only have to generate an empty notice.
(server Koha add to send really notices).
Comment 8 Kyle M Hall 2012-06-09 10:10:40 UTC Comment hidden (obsolete)
Comment 9 Paul Poulain 2012-06-10 09:15:17 UTC
QA comment: there is an unconditionnal warn 
+        warn "Trying to add an empty message to the message queue";
that is thrown every time there is an empty letter. This should be issued only if you're in DEBUG mode
Comment 10 Kyle M Hall 2012-06-11 08:32:44 UTC Comment hidden (obsolete)
Comment 11 Marcel de Rooy 2012-06-12 13:53:35 UTC
Typo: +kfpackage C4::Letters;

How was this tested? :-)

Please correct and set back to Needs signoff.
Comment 12 Julian Maurice 2012-06-20 11:42:29 UTC Comment hidden (obsolete)
Comment 13 Julian Maurice 2012-06-20 11:46:54 UTC Comment hidden (obsolete)
Comment 14 Kyle M Hall 2012-06-20 12:51:06 UTC
Created attachment 10381 [details] [review]
[SIGNED-OFF] Bug 6090: Do not enqueue empty messages

This patch avoid enqueuing messages that have an empty body. It can
happen when letter is empty or becomes empty after being processed by
parseletter

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 15 Marcel de Rooy 2012-06-20 13:02:46 UTC
Marking as Passed QA
Comment 16 Julian Maurice 2012-07-06 08:39:24 UTC
Does this patch have to be pushed to stable?